/*
 * HTML5 Boilerplate
 *
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */

html,
button,
input,
select,
textarea {
    color: #222;
}

body {
    font-size: 1em;
    line-height: 1.4;
}

a {
    color: #00e;
}

a:visited {
    color: #551a8b;
}

a:hover {
    color: #06e;
}

/*
 * Remove the gap between images and the bottom of their containers: h5bp.com/i/440
 */

img {
    vertical-align: middle;
}

/*
 * Remove default fieldset styles.
 */

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

/*
 * Allow only vertical resizing of textareas.
 */

textarea {
    resize: vertical;
}

/* ==========================================================================
   Author's custom styles
   ========================================================================== */

body {
    background-color:#0b1d2c;
    font-family: 'Lato', sans-serif;
}

a.button {
    display: inline-block;
    margin: 0 auto;
    width: 100%;
}

a.button.top {
    width: 50%;
}

a.button img {
    margin:0 auto;
    width:20%;
    min-width: 150px;
    display:block
}

a.button.facebook img{
    background-color: white;
    padding: 0.3em;
    border-radius: 0.3em;
    margin:0 auto;
}

header {
    margin:0 auto;
    min-height: 400px;
    min-width: 320px;
    background:url(../img/bg.jpg) top center no-repeat;
    background-size: 100%;
    background-position: 50% 60%;
}

.header-logo {
    display:block;
    width:40%;
    margin:0 auto;
    padding-left:1.4em;
    min-width: 200px;
}

h1.title {
    font-family: 'Oswald', sans-serif;
    background-color:gold;
    color:black;
    text-align: center;
    font-weight: bold;
    /*text-shadow: 0px 3px 6px rgba(0, 0, 0, 0.8);*/
    font-variant:small-caps;
    text-transform: uppercase;
    font-size: 150%;
    margin:0;
    padding:0.2em 0;
    color: rgba(0,0,0,0.8);
    /*text-shadow: 1px 6px 4px rgba(0,0,0,0.3),*/
                 /*0px -5px 35px rgba(255,255,255,0.3);*/
                 text-shadow: 0px 0px 6px rgba(255,255,255,0.7);
}

.feature h2 {
    color:#2C2907;
    font-size: 112.5%;
    /*text-align: center;*/
    margin-bottom:0;
    padding-left:1em;
}

.feature {
    background-color: #F0F9FF;
    margin:0;
    padding: 0.2em 0px 0.4em 0px;
}

.feature.grey {
     background-color:#E7E7E7;
}

.feature .content {
    color:#2C2907;
    padding:1em 1.2em;
}

.feature .content ul{
    padding:0 1em;
    margin-top:0;
}

footer {
    background-color: #F0F9FF;
    font-size: 87.5%;
    text-align: center;
}









/* ==========================================================================
   Helper classes
   ========================================================================== */

/* Prevent callout */

.nocallout {
    -webkit-touch-callout: none;
}

.pressed {
    background-color: rgba(0, 0, 0, 0.7);
}

/* A hack for HTML5 contenteditable attribute on mobile */

textarea[contenteditable] {
    -webkit-appearance: none;
}

/* A workaround for S60 3.x and 5.0 devices which do not animated gif images if
   they have been set as display: none */

.gifhidden {
    position: absolute;
    left: -100%;
}

/*
 * Image replacement
 */

.ir {
    background-color: transparent;
    background-repeat: no-repeat;
    border: 0;
    direction: ltr;
    display: block;
    overflow: hidden;
    text-align: left;
    text-indent: -999em;
}

.ir br {
    display: none;
}

/*
 * Hide from both screenreaders and browsers: h5bp.com/u
 */

.hidden {
    display: none !important;
    visibility: hidden;
}

/*
 * Hide only visually, but have it available for screenreaders: h5bp.com/v
 */

.visuallyhidden {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

/*
 * Extends the .visuallyhidden class to allow the element to be focusable
 * when navigated to via the keyboard: h5bp.com/p
 */

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
    clip: auto;
    height: auto;
    margin: 0;
    overflow: visible;
    position: static;
    width: auto;
}

/*
 * Hide visually and from screenreaders, but maintain layout
 */

.invisible {
    visibility: hidden;
}

/**
 * Clearfix helper
 * Used to contain floats: h5bp.com/q
 */

.clearfix:before,
.clearfix:after {
    content: "";
    display: table;
}

.clearfix:after {
    clear: both;
}

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   Theses examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

@media only screen and (min-device-width : 320px) and (max-device-width : 568px) {
    header {
        min-width:320px;
        min-height:365px;
        background-size:160%;
    }

    .header-logo {
        width: 80%;
    }

    a.button img {
        width:45%;
    }

}

@media only screen and (min-device-width : 320px) and (max-device-width : 568px) and (orientation : landscape) {
    body {
        font-size: 1.2em;
    }

    header {
        min-width:320px;
        background-size: 100%;
    }

    .header-logo {
        width: 60%;
    }

    a.button img {
        width:30%;
    }

}

@media only screen and (min-device-width : 768px) and (max-device-width : 1024px)  {
    body {
        font-size: 1.4em;
    }

    header {
        min-width:768px;
        background-size: 100%;
        min-height: 550px;
    }

    .header-logo {
        width: 60%;
    }

    a.button img {
        width:25%;
    }
}

@media only screen and (min-device-width : 768px) and (max-device-width : 1024px)  and (orientation: landscape) {
    header {
        min-width:768px;
        min-height: 610px;http://itunes.apple.com/app/criminal-case/id767473889?mt=8
        background-position: 50% 30%;
    }

    .header-logo {
        width: 50%;
    }

    a.button img {
        width:20%;
    }
}

@media only screen and (min-width : 800px) {
    body {
        font-size: 1.4em;
    }

    section.feature, h1.title, header, footer{
        max-width: 1024px;
        margin-left:auto;
        margin-right:auto;
    }

    header {
        min-height: 550px;
        min-width:800px;
        background-size: 100%;
        background-position: 50% 50%;
    }

    .header-logo {
        width: 50%;
        max-width: 400px;
    }

    a.button img {
        width:20%;
        max-width: 200px;
    }
}

@media only screen and (-webkit-min-device-pixel-ratio: 1.5),
       only screen and (min-resolution: 144dpi) {
    /* Style adjustments for viewports that meet the condition */
}
